<?php
/**
* @package      com_eglossary for Joomla! 1.5
* @version	$Id: eglossary.php 2010-09-02 10:07:31Z Hernán Roa $
* @author       Hernán Roa Reyes
* @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
* @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
* See license.txt
* flexam is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

// Make sure the user is authorized to view this page
$user =& JFactory::getUser();

// Set the table directory
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_eglossary'.DS.'tables');

// Create the controller
$optCtrl = JRequest::getCmd('optCtrl');
$controllerFileName = 'termslist';

switch ($optCtrl){
    default:
        JSubMenuHelper::addEntry(JText::_('EGLOSSARY MENUADMIN LIST'), 'index.php?option=com_eglossary&optCtrl=tList', true );

        break;

    case 'tList' :
        JSubMenuHelper::addEntry(JText::_('EGLOSSARY MENUADMIN LIST'), 'index.php?option=com_eglossary&optCtrl=tList', true );

        $controllerFileName = 'termslist';
        break;
}

require_once( JPATH_COMPONENT.DS.'controllers'.DS.$controllerFileName.'.php' );
$controllerName = 'eglossaryController'.$controllerFileName;

// Create the controller
$controller = new $controllerName();

// Perform the Request task
$controller->execute($controllerFileName);

// Redirect if set by the controller
$controller->redirect();
?>