-- @package     com_eglossary for Joomla! 1.5
-- @version	$Id: eglossary_install.sql 2010-09-02 10:07:31Z Hernán Roa $
-- @author      Hernán Roa Reyes
-- @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
-- @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
-- See license.txt
-- flexam is free software. This version may have been modified pursuant
-- to the GNU General Public License, and as distributed it includes or
-- is derivative of works licensed under the GNU General Public License or
-- other free or open source software licenses.

DROP TABLE IF EXISTS `#__eglossaryTerm`;

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

-- --------------------------------------------------------
--
-- Estructura de tabla para la tabla `jos_flexam_connconfig`
--

CREATE TABLE IF NOT EXISTS `#__eglossaryTerm` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `term` text NOT NULL,
  `idUser` bigint(20) NOT NULL,
  `dateUp` date DEFAULT NULL,
  `dateModify` date DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Configuracion del menu
--

CREATE TABLE IF NOT EXISTS `#__eglossary_tmpId` ( `id` int(11) NULL ) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__eglossary_tmpId` (`id`) (SELECT MAX(id) + 1 FROM #__components);

UPDATE `#__components` SET `id` = (SELECT id FROM `#__eglossary_tmpId`) WHERE name='Eglossary';

INSERT INTO `#__components` (`name`, `link`, `menuid`, `parent`, `admin_menu_link`, `admin_menu_alt`, `option`, `ordering`, `admin_menu_img`, `iscore`, `params`, `enabled`) VALUES
('Eglossary', 'option=com_eglossary', 0, 0, 'option=com_eglossary', 'Eglossary', 'com_eglossary', 0, 'js/ThemeOffice/component.png', 0, '', 1);

UPDATE `#__eglossary_tmpId` SET `id` = (SELECT id FROM `#__components` WHERE name='E-Glossary');

DROP TABLE `#__eglossary_tmpId`;
