<?php
/**
* @package      com_eglossary for Joomla! 1.5
* @version	$Id: addword.php 2010-09-02 10:07:31Z Hernán Roa $
* @author       Hernán Roa Reyes
* @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
* @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
* See license.txt
* flexam is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

class eglossaryModelAddword extends JModel{

    function checkTerms( $filter=NULL ){
        $db     = $this->getDBO();
        $cond   = NULL;

        if(!empty($filter)){
            if(strlen($filter)  > 1) {
                $cond = "WHERE title LIKE '%$filter%' ";
            } else {
                $cond = "WHERE title LIKE '$filter%' ";
            }
        }

        $query = 'SELECT * FROM  #__eglossaryTerm ' . $cond . 'ORDER BY title ';

        $db->setQuery($query);
        $terms = $db->loadObjectList();

        return (!empty($terms)) ? $terms : false;
    }

    function userTerms( $idUser ){
        $db     = $this->getDBO();

        $query = "SELECT * FROM  #__eglossaryTerm WHERE idUser='$idUser' ORDER BY title ";

        $db->setQuery($query);
        $terms = $db->loadObjectList();

        return (!empty($terms)) ? $terms : false;
    }

    function addTerm() {
        // Check for request forgeries
        JRequest::checkToken() or jexit('Invalid Token');
        global $mainframe;

        $db = $this->getDBO();
        $msg = '';

        $title      = JRequest::getVar('title', NULL, 'post', 'none', 4);
        $term       = JRequest::getVar('term', NULL, 'post', 'none', 4);
        $itemId     = JRequest::getVar('Itemid');
        $published  = 0;
        $dateUp     = date('Y-m-d');
        $user   = JFactory::getUser();

        $user->id = (empty($user->id)) ? 62 : $user->id;

        $qry = "INSERT INTO #__eglossaryTerm (title, term, idUser, dateUp, published) " .
            " VALUES('$title', '$term', '$user->id', '$dateUp', '$published')";
        $db->setQuery($qry);

        if (!$db->query()) {
            $msg .= $db->getErrorMsg() . " ";
        }

        $mainframe->redirect(JRoute::_('index.php?option=com_eglossary&view=addword&Itemid=' . $itemId, false), $msg);
    }

    function editTerm() {
        // Check for request forgeries
        JRequest::checkToken() or jexit('Invalid Token');
        global $mainframe;

        $db     = $this->getDBO();
        $cid    = JRequest::getVar('cid');
        $itemId = JRequest::getVar('Itemid');
        $user   = JFactory::getUser();

        $user->id = (empty($user->id)) ? 62 : $user->id;

        $msg = '';

        $title      = JRequest::getVar('title', NULL, 'post', 'none', 4);
        $term       = JRequest::getVar('term', NULL, 'post', 'none', 4);
        $published  = 0;
        $dateMod    = date('Y-m-d');

        $qry = "UPDATE #__eglossaryTerm SET title='" . $title .
            "', term='" . $term .
            "', dateModify='" . $dateMod .
            "', published='" . $published .
            "' WHERE id='$cid'";

        $db->setQuery($qry);

        if (!$db->query()) {
            $msg .= $db->getErrorMsg() . " ";
        }

        $mainframe->redirect(JRoute::_('index.php?option=com_eglossary&view=addword&Itemid=' . $itemId, false), $msg);
    }
}