<?php
/**
* @package      com_eglosary for Joomla! 1.5
* @version	$Id: default.php 2010-09-02 10:07:31Z Hernán Roa $
* @author       Hernán Roa Reyes
* @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
* @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
* See license.txt
* flexam is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

defined('_JEXEC') or die('Restricted access');
jimport('joomla.session.session');

define('GLOSSARY_PATH', str_replace('tmpl/default.php', '', __FILE__));

$term       = JRequest::getVar('glossaryTerm', NULL, 'post', 'STRING');
$term       = str_replace("'", '', str_replace('"', '',$term));
$itemId     = JRequest::getVar('Itemid');

?>
<link rel="stylesheet" href="<?php echo JURI::base(); ?>administrator/components/com_eglossary/style/eglossary.css" type="text/css" />
<script type="text/javascript" src="<?php echo JURI::base(); ?>administrator/components/com_eglossary/style/eglossary.js"></script>

<form name="eglosary_dsp" id="eglossary_dsp" action="?option=com_eglossary&view=addword&Itemid=<?php echo $itemId; ?>" method="post">
    <h1><?php echo JText::_('GLOSSARY TITLE'); ?></h1>
<?php
if(empty($term)){
?>
    <label><?php echo JText::_('EGLOSSARY MENUADMIN TITLE'); ?></label>
    <input type="text" name="glossaryTerm" id="glossaryTerm" value="" />
    <input type="button" onclick="javascript:adminGlTerm()" value="<?php echo JText::_('EGLOSSARY CONTINUE'); ?>">
    <input type="button" onclick="javascript:cancelSubmit()" value="<?php echo JText::_('Cancel'); ?>">
<?php
}
?>
    <input type="hidden" name="cancel" id="cancel" value="" />
<?php echo JHTML::_('form.token'); ?>
</form>
<?php
    
if(!empty($term)){
    include(GLOSSARY_PATH . 'form.php');
}

$userTerms = $this->showUserTerms($this->currentUser());

echo $this->paginateUserTerms($userTerms);
?>