/**
* @package      com_eglossary for Joomla! 1.5
* @version	$Id: eglossary.js 2010-09-02 10:07:31Z Hernán Roa $
* @author       Hernán Roa Reyes
* @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
* @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
* See license.txt
* flexam is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

function str_replace (search, replace, subject, count) {
    var i = 0, j = 0, temp = '', repl = '', sl = 0, fl = 0,
            f = [].concat(search),
            r = [].concat(replace),
            s = subject,
            ra = r instanceof Array, sa = s instanceof Array;
    s = [].concat(s);
    if (count) {
        this.window[count] = 0;
    }

    for (i=0, sl=s.length; i < sl; i++) {
        if (s[i] === '') {
            continue;
        }
        for (j=0, fl=f.length; j < fl; j++) {
            temp = s[i]+'';
            repl = ra ? (r[j] !== undefined ? r[j] : '') : r[0];
            s[i] = (temp).split(f[j]).join(repl);
            if (count && s[i] !== temp) {
                this.window[count] += (temp.length-s[i].length)/f[j].length;}
        }
    }
    return sa ? s : s[0];
}

function showLayer(idLay){
    if(document.getElementById(idLay).style.display == 'none'){
        document.getElementById(idLay).style.display = 'block';
    }else{
        document.getElementById(idLay).style.display = 'none';
    }
}

function submitFm(idFm){
    document.forms[idFm].submit();
}

function AJAXConstructObj(){
    var obj;
    if(window.XMLHttpRequest) { // no es IE
        obj = new XMLHttpRequest();
    } else { // Es IE o no tiene el objeto
        try {
            obj = new ActiveXObject('Microsoft.XMLHTTP');
        } catch (e) {
            alert('Browser is NOT supported');
        }
    }
    return obj;
}

function ajaxObj(url, idLayer, params){
    oXML = AJAXConstructObj();
    oXML.open('POST', url, true);
    oXML.onreadystatechange = function (){document.getElementById(idLayer).innerHTML = oXML.responseText;};
    oXML.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    oXML.send(params + '&nocache=' + Math.random());
}

function checkNumberField(id, msg){
    var txtVal = document.getElementById(id).value;
    var disc = txtVal;

    txtVal = txtVal.replace(/[^0-9]/g ,"");

    if((disc!=txtVal)){
        alert(msg);

        document.getElementById(id).value = txtVal;
    }
}

function checkMailField(id, msg){
    var txtVal = document.getElementById(id).value;
    var disc = txtVal;

    txtVal = txtVal.replace(/[^a-zA-Z0-9\-\@\_\.]/g ,"");

    if((disc!=txtVal)){
        alert(msg);

        document.getElementById(id).value = txtVal;
    }
}

function paginationTerm() {
    submitFm('eglosary_dsp');
}

function navLast(num, page, totPage, last, next) {
    if(document.getElementById('page' + num).style.display == 'block'){
        if(typeof(document.getElementById('page' + (num - 1)).style.display) == "undefined"){

        } else {
            document.getElementById('page' + (num - 1)).style.display = 'block';
            document.getElementById('page' + num).style.display = 'none';

            if((num - 1) == 0){
                document.getElementById('indx' + num).style.border = '1px dotted';
                document.getElementById('indx' + (num + 1)).style.border = '0px none';
            } else {
                document.getElementById('navPage').innerHTML  = '<a href="#" class="navPrv" onClick="javascript:navLast(\'' + 1 + '\',\'' + page + '\',\'' + totPage + '\',\'' + last + '\',\'' + next + '\')">' + last + '</a>';
                document.getElementById('navPage').innerHTML += '<a href="#" id="indx' + (num - 1) + '" style="border:1px dotted;" onClick="javascript:nav(\'' + totPage + '\', \'' + (num - 1) + '\')">' + (num - 1) + '</a>';
                document.getElementById('navPage').innerHTML += '<a href="#" id="indx' + num + '" style="border:0px none;" onClick="javascript:nav(\'' + totPage + '\', \'' + num + '\')">' + num + '</a>';
                document.getElementById('navPage').innerHTML += '<a href="#" class="navNxt" onClick="javascript:navNext(\'' + totPage + '\',\'' + page + '\',\'' + totPage + '\',\'' + last + '\',\'' + next + '\')">' + next + '</a></div>';
            }
        }
    } else {
        num++;
        navLast(num, page, totPage, last, next);
    }
}

function nav(num, sel) {
    for(var i = 1; i <= num; i++){
        if(document.getElementById('page' + i).style.display == 'block'){
            document.getElementById('page' + i).style.display = 'none';
            document.getElementById('indx' + i).style.border = '0px none';
        }
    }

    document.getElementById('page' + sel).style.display = 'block';
    document.getElementById('indx' + sel).style.border = '1px dotted';
}

function navNext(num, page, totPage, last, next) {
    if(document.getElementById('page' + num).style.display == 'block'){
        if(typeof(document.getElementById('page' + (num + 1)).style.display) == "undefined"){
            
        } else {
            document.getElementById('page' + (num + 1)).style.display = 'block';
            document.getElementById('page' + num).style.display = 'none';

            if((num + 1) <= page){
                document.getElementById('indx' + num).style.border = '0px none';
                document.getElementById('indx' + (num + 1)).style.border = '1px dotted';
            } else {
                document.getElementById('navPage').innerHTML  = '<a href="#" class="navPrv" onClick="javascript:navLast(\'' + 1 + '\',\'' + page + '\',\'' + totPage + '\',\'' + last + '\',\'' + next + '\')">' + last + '</a>';
                document.getElementById('navPage').innerHTML += '<a href="#" id="indx' + num + '" style="border:0px none;" onClick="javascript:nav(\'' + totPage + '\', \'' + num + '\')">' + num + '</a>';
                document.getElementById('navPage').innerHTML += '<a href="#" id="indx' + (num + 1) + '" style="border:1px dotted;" onClick="javascript:nav(\'' + totPage + '\', \'' + (num + 1) + '\')">' + (num + 1) + '</a>';
                document.getElementById('navPage').innerHTML += '<a href="#" class="navNxt" onClick="javascript:navNext(\'' + totPage + '\',\'' + page + '\',\'' + totPage + '\',\'' + last + '\',\'' + next + '\')">' + next + '</a></div>';
            }
        }
    } else {
        num--;
        navNext(num, page, totPage, last, next);
    }
}

function getGlTerm() {
    submitFm('eglosary_dsp');
}

function findTermAlphabet(obj) {
    document.getElementById('letterglossary').value = obj;
    submitFm('eglosary_dsp');
}

function validateform(msg, task) {
    var length = arguments.length
    var disc = true;

    if(length > 2){
        for(var i = 2; i < length; i++) {
            if(document.getElementById('title' + arguments[i]).value != '') {
                disc = disc && true;
            } else {
                disc = disc && false;
            }

            if(document.getElementById('term' + arguments[i]).value != '') {
                disc = disc && true;
            } else {
                disc = disc && false;
            }
        }
    } else { 
        if(document.getElementById('title').value != '') {
            disc = disc && true;
        } else {
            disc = disc && false;
        }
    }

    if (disc){
        document.getElementById('task').value = task;
        submitFm('adminForm');
    } else {
        alert (msg);
    }
}

function adminGlTerm() {
    if (document.getElementById('glossaryTerm').value != ''){
        var term = document.getElementById('glossaryTerm').value;

        term.replace(/[^a-zA-Z0-9\-\@\_\.\,\;\:]/g ,"");

        document.getElementById('glossaryTerm').value = term

        submitFm('eglosary_dsp');
    }
}

function termSubmit(pressbutton) {

    switch (pressbutton) {
        case 'cancel':
            document.getElementById('cancel').value = 'cancel';

            submitFm('eglossary_dsp');
            break;

        case 'update':
            document.getElementById('task').value = 'update';

            submitFm('editTermForm');
            break;

        case 'save':
            document.getElementById('task').value = 'save';

            submitFm('editTermForm');
            break;
    }
}

function cancelSubmit() {

    document.getElementById('cancel').value = 'cancel';

    submitFm('eglossary_dsp');
}