<?php
/**
* @package      com_eglossary for Joomla! 1.5
* @version	$Id: listword.php 2010-04-02 10:07:31Z Hernán Roa $
* @author       Hernán Roa Reyes
* @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
* @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
* See license.txt
* flexam is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

class eglossaryModelListword extends JModel{
    
    function getTerms($filter = NULL){
        $db     = $this->getDBO();
        $cond   = NULL;

        if(!empty($filter)){
            if(strlen($filter)  > 1) {
                $cond = "AND title LIKE '%$filter%' ";
            } else {
                $cond = "AND title LIKE '$filter%' ";
            }
        }

        $query = 'SELECT * FROM  #__eglossaryTerm WHERE published > 0 ' . $cond . 'ORDER BY title ';

        $db->setQuery($query);
        $terms = $db->loadObjectList();

        return (!empty($terms)) ? $terms : false;
    }
}