<?php
/**
* @package      com_eglosary for Joomla! 1.5
* @version	$Id: form.php 2010-09-02 10:07:31Z Hernán Roa $
* @author       Hernán Roa Reyes
* @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
* @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
* See license.txt
* flexam is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

defined('_JEXEC') or die('Restricted access');
jimport('joomla.session.session');

$titleFm        = NULL;
$items          = $this->checkTerms ( $term );
$acctionTask    = ((empty($items)) ? 'add' : 'edit');
$cid            = JRequest::getVar('cid', array(0), '', 'array');
$edit           = JRequest::getVar('edit', ((empty($items)) ? false : true));
$itemId         = JRequest::getVar('Itemid');

JArrayHelper::toInteger($cid, array(0));

$txtEditor = &JFactory::getEditor();

$text = ( $edit ? JText::_('Edit') : JText::_('New') );

JFilterOutput::objectHTMLSafe($this->items, ENT_QUOTES);

?>
<form action="?option=com_eglossary&view=addword&Itemid=<?php echo $itemId; ?>" method="post" name="editTermForm" name="editTermForm">
    <div>
        <fieldset class="fieldsetform">

<?php

if ($acctionTask == 'edit') {
    if (!empty($items[0]->title)) {
        echo '<table class="admintable">';

        echo '<tr><td width="60" class="key"><label for="title">';

        echo JText::_('EGLOSSARY MENUADMIN TITLE');

        echo ':</label></td><td>';

        echo '<input class="inputbox" type="text" name="title" id="title" size="45" value="';

        echo $items[0]->title . '" /><input type="hidden" name="cid" id="cid" value="' . $items[0]->id . '" /></td></tr>';

        echo '<tr><td width="60" class="key">';

        echo JText::_('GLOSSARY TERM CONCEPT');

        echo ':</td><td>';

        echo $txtEditor->display('term', $items[0]->term, '60;', '150', '60', '10', false);

        echo '</td></tr>';

        echo '<tr><td colspan="2">';

        echo '<input type="button" name="ok" id="ok" onclick="javascript:termSubmit(\'update\');" value="' . JText::_('EGLOSSARY CONTINUE') . '" />';

        echo '<input type="button" name="out" id="out" onclick="javascript:termSubmit(\'cancel\');" value="' . JText::_('Cancel') . '" />';

        echo '</td></tr>' . '</table>';
    }
}

if ($acctionTask == 'add') {
    echo '<table class="admintable">'. "\n";

    echo '<tr><td width="60" class="key"><label for="title">';

    echo JText::_('Title');

    echo ':</label></td><td><input class="inputbox" type="text" name="title" id="title" size="45" value="';

    echo $term. '" /></td></tr>';

    echo '<tr><td width="60" class="key">';

    echo JText::_('GLOSSARY TERM CONCEPT');

    echo ':</td><td>';

    echo $txtEditor->display('term', '', '60;', '150', '60', '10', false);

    echo '</td></tr>';

    echo '</td></tr>';

    echo '<tr><td colspan="2">';

    echo '<input type="button" name="ok" id="ok" onclick="javascript:termSubmit(\'save\');" value="' . JText::_('EGLOSSARY CONTINUE') . '" />';

    echo '<input type="button" name="out" id="out" onclick="javascript:termSubmit(\'cancel\');" value="' . JText::_('Cancel') . '" />';

    echo '</td></tr>' . "\n" . '</table>';
}
?>
        </fieldset>
    </div>
    <div class="clr"></div>
    <input type="hidden" name="task" id="task" value="" />
    <input type="hidden" name="option" value="com_eglossary" />
<?php echo JHTML::_('form.token'); ?>
</form>