<?php
/**
* @package      com_eglosary for Joomla! 1.5
* @version	$Id: view.html.php 2010-09-02 10:07:31Z Hernán Roa $
* @author       Hernán Roa Reyes
* @copyright	(C) 2010 - 2012 Hernán Roa Reyes.
* @license	GNU/GPLv3 http://www.gnu.org/copyleft/gpl.html
* See license.txt
* flexam is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class eglossaryViewAddword extends JView{
    function display($tpl = null){
        $task = JRequest::getVar('task');
        $cancel = JRequest::getVar('cancel');
        $model =& $this->getModel();

        switch($task){
            case 'update':
                $model->editTerm();
                break;

            case 'save':
                $model->addTerm();
                break;
        }

        if(!empty($cancel)){
            global $mainframe;
            $item = JRequest::getVar('Itemid');
            $mainframe->redirect(JRoute::_('index.php?option=com_eglossary&view=listword&Itemid=' . $item, false), '');
        }

        parent::display($tpl);
    }

    function checkTerms ( $title=NULL ) {
        $model =& $this->getModel();

        return $model->checkTerms($title);
    }

    function jsVarDump ($ids=array()) {
        if(!empty($ids[0])){
            $out = NULL;

            foreach ($ids as $id) {
                $out .= ", '$id'";
            }

            return $out;
        } else {
            return NULL;
        }
    }

    function currentUser(){
        $user   = JFactory::getUser();

        return (empty($user->id)) ? 62 : $user->id;
    }

    function showUserTerms( $idUser ){
        $model =& $this->getModel();

        return $model->userTerms($idUser);
    }

    function paginateUserTerms($obj=NULL, $pag=NULL) {
        $out  = '<div id="page1" style="display:block;" class="termGlossary">' . "\n";
        $pag  = (empty($pag)) ? 5 : $pag;
        $numNavIndx = 2;
        $cter = 1;

        if($obj){
            $nResult = count($obj);
            $nPage = ceil($nResult / $pag);
            $nav  = '<div id="navPage"><a href="#" class="navPrv" onClick="javascript:navLast(\'' . 1 . '\',\'' . $numNavIndx . '\', \'' . $nPage . '\', \'' . JText::_('NAV PREV') . '\', \'' . JText::_('NAV NEXT') . '\')">' . JText::_('NAV PREV') . '</a><a href="#" id="indx1" style="border:1px dotted"; onClick="javascript:nav(\'' . $nPage . '\', \'' . $cter . '\')">1</a>';

            for($i = 0; $i < $nResult; $i++){
                if($i > 0  && ($i % $pag) == 0){
                    $cter++;

                    $out .= '</div>';
                    $out .= '<div id="page' . $cter . '" style="display:none;" class="termGlossary">' . "\n";
                    $out .= '<h3>' . $obj[$i]->title . '&nbsp;&nbsp;(' . ( ($obj[$i]->published > 0) ? JText::_('published') : JText::_('unpublished') ) . ')</h3>' . "\n";
                    $out .= '<p>' . $obj[$i]->term . '</p>' . "\n";

                    if($cter <= $numNavIndx){
                        $nav .= '<a href="#" id="indx' . $cter . '" style="border:0px none;" onClick="javascript:nav(\'' . $nPage . '\', \'' . $cter . '\')">' . $cter . '</a>';
                    }

                } else {
                    $out .= '<h3>' . $obj[$i]->title . '&nbsp;&nbsp;(' . ( ($obj[$i]->published > 0) ? JText::_('published') : JText::_('unpublished') ) . ')</h3>' . "\n";
                    $out .= '<p>' . $obj[$i]->term . '</p>' . "\n";
                }
            }

            $out  .= '</div>';
            $nav  .= '<a href="#" class="navNxt" onClick="javascript:navNext(\'' . $nPage . '\',\'' . $numNavIndx . '\', \'' . $nPage . '\', \'' . JText::_('NAV PREV') . '\', \'' . JText::_('NAV NEXT') . '\')">' . JText::_('NAV NEXT') . '</a></div>';
            $nav  .= '<div id="pageCountInfo">' . JText::_('EGLOSSARY RESULT PAGE') . '&nbsp;&nbsp;' . $nResult . '&nbsp;&nbsp;' . JText::_('EGLOSSARY PAGE VISIBLE') . '&nbsp;&nbsp;' . $nPage . '&nbsp;&nbsp;' . JText::_('EGLOSSARY PAGE') . '</div>';

            return $out . $nav;

        } else {
            return false;
        }
    }
}
?>